Bug 41091 - [i915gm] False GPU lockup: Display B: Invalid GTT PTE
Summary: [i915gm] False GPU lockup: Display B: Invalid GTT PTE
Status: CLOSED FIXED
Alias: None
Product: DRI
Classification: Unclassified
Component: DRM/Intel (show other bugs)
Version: unspecified
Hardware: x86 (IA32) Linux (All)
: medium normal
Assignee: Daniel Vetter
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-09-21 12:27 UTC by Bryce Harrington
Modified: 2017-07-24 23:03 UTC (History)
6 users (show)

See Also:
i915 platform:
i915 features:


Attachments
BootDmesg.txt (51.42 KB, text/plain)
2011-09-21 12:33 UTC, Bryce Harrington
no flags Details
CurrentDmesg.txt (16.02 KB, text/plain)
2011-09-21 12:33 UTC, Bryce Harrington
no flags Details
i915_error_state.txt (758.27 KB, text/plain)
2011-09-21 12:33 UTC, Bryce Harrington
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Bryce Harrington 2011-09-21 12:27:53 UTC
Forwarding this bug from Ubuntu reporter Mark Bidewell:
http://bugs.launchpad.net/ubuntu/+source/xserver-xorg-video-intel/+bug/851462

[Problem]
Yet another GPU lockup where the driver resets itself.  This one is unusual in that it appears to occur at some point post-release.

[Original Description]
Error seems to occur on login

[ 1285.312032] wlan0: no IPv6 routers present
[ 1336.280822] composite sync not supported
[ 1341.353738] composite sync not supported
[ 1341.911786] composite sync not supported
[ 1351.415492] composite sync not supported
[ 1497.660449] [drm] capturing error event; look for more information in /debug/dri/0/i915_error_state
[ 1497.662106] render error detected, EIR: 0x00000010
[ 1497.662111] page table error
[ 1497.662113]   PGTBL_ER: 0x00000100
[ 1497.662120] [drm:i915_report_and_clear_eir] *ERROR* EIR stuck: 0x00000010, masking
[ 1497.662136] render error detected, EIR: 0x00000010
[ 1497.662139] page table error
[ 1497.662141]   PGTBL_ER: 0x00000100

ProblemType: Crash
DistroRelease: Ubuntu 11.10
Package: xserver-xorg-video-intel 2:2.15.901-1ubuntu2
ProcVersionSignature: Ubuntu 3.0.0-11.18-generic 3.0.4
Uname: Linux 3.0.0-11-generic i686
.tmp.unity.support.test.0:

ApportVersion: 1.23-0ubuntu1
Architecture: i386
Chipset: i915gm
CompizPlugins: No value set for `/apps/compiz-1/general/screen0/options/active_plugins'
CompositorRunning: None
Date: Wed Sep 14 20:05:18 2011
DistUpgraded: Log time: 2011-09-04 17:45:38.629635
DistroCodename: oneiric
DistroVariant: ubuntu
DuplicateSignature: [i915gm] GPU lockup  EIR: 0x00000010 PGTBL_ER: 0x00000100 render.IPEHR: 0x02000004 Ubuntu 11.10
ExecutablePath: /usr/share/apport/apport-gpu-error-intel.py
ExtraDebuggingInterest: Yes, whatever it takes to get this fixed in Ubuntu
GraphicsCard:
Intel Corporation Mobile 915GM/GMS/910GML Express Graphics Controller [8086:2592] (rev 03) (prog-if 00 [VGA controller])
Subsystem: Dell Device [1028:01c9]
Subsystem: Dell Device [1028:01c9]
InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Release i386 (20110427.1)
InterpreterPath: /usr/bin/python2.7
Lsusb:
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 005 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
MachineType: Dell Inc. ME051
ProcCmdline: /usr/bin/python /usr/share/apport/apport-gpu-error-intel.py
ProcEnviron:

ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.0.0-11-generic root=UUID=ac46c132-c14c-4dea-a1ef-750f986e0fb6 ro quiet splash vt.handoff=7
RelatedPackageVersions:
xserver-xorg             1:7.6+7ubuntu7
libdrm2                  2.4.26-1ubuntu1
xserver-xorg-video-intel 2:2.15.901-1ubuntu2
SourcePackage: xserver-xorg-video-intel
Title: [i915gm] False GPU lockup  EIR: 0x00000010 PGTBL_ER: 0x00000100 render.IPEHR: 0x02000004
UpgradeStatus: Upgraded to oneiric on 2011-09-04 (11 days ago)
UserGroups:

dmi.bios.date: 04/27/2006
dmi.bios.vendor: Dell Inc.
dmi.bios.version: A08
dmi.board.name: 0DK344
dmi.board.vendor: Dell Inc.
dmi.chassis.type: 8
dmi.chassis.vendor: Dell Inc.
dmi.modalias: dmi:bvnDellInc.:bvrA08:bd04/27/2006:svnDellInc.:pnME051:pvr:rvnDellInc.:rn0DK344:rvr:cvnDellInc.:ct8:cvr:
dmi.product.name: ME051
dmi.sys.vendor: Dell Inc.
version.compiz: compiz 1:0.9.5.94+bzr2803-0ubuntu5
version.libdrm2: libdrm2 2.4.26-1ubuntu1
version.libgl1-mesa-dri: libgl1-mesa-dri 7.11-0ubuntu3
version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A
version.libgl1-mesa-glx: libgl1-mesa-glx 7.11-0ubuntu3
version.xserver-xorg: xserver-xorg 1:7.6+7ubuntu7
version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.6.0-1ubuntu13
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:6.14.99~git20110811.g93fc084-0ubuntu1
version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.15.901-1ubuntu2
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:0.0.16+git20110411+8378443-1
Comment 1 Bryce Harrington 2011-09-21 12:33:01 UTC
Created attachment 51463 [details]
BootDmesg.txt
Comment 2 Bryce Harrington 2011-09-21 12:33:14 UTC
Created attachment 51464 [details]
CurrentDmesg.txt
Comment 3 Bryce Harrington 2011-09-21 12:33:33 UTC
Created attachment 51465 [details]
i915_error_state.txt
Comment 4 Bryce Harrington 2011-09-21 20:30:01 UTC
s/post-release/post-boot/
Comment 5 Eugeni Dodonov 2011-09-22 16:31:12 UTC
I lowered the priority a bit to have it in the same priority scale as other false GPU lockups.
Comment 6 Chris Wilson 2012-04-25 02:28:06 UTC
These bugs all have similar symptoms that could be explained and fixed by the following patch. So please do test drm-intel-next-queued and report back. On trying the equivalent patch in the past, it has caused modesetting regression for the initial switch from the BIOS configuration, so do look out for any glitches during boot. Thanks.

commit 969d380a39d33f7533b6dcee35e834109d23f9e9
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Tue Apr 24 16:36:50 2012 +0100

    drm/i915: Remove too early plane enable on pre-PCH hardware
    
    Enabling the plane before we have assigned valid address means that it
    will access random PTE (often with conflicting memory types) and cause
    GPU lockups. However, enabling the plane too early appears to workaround
    a number of bugs in our modesetting code.
    
    Cc: Franz Melchior <melchior.franz@gmail.com>
    References: https://bugs.freedesktop.org/show_bug.cgi?id=39947
    References: https://bugs.freedesktop.org/show_bug.cgi?id=41091
    References: https://bugs.freedesktop.org/show_bug.cgi?id=49041
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>
    Acked-by: Jesse Barnes <jbarnes@virtuousgeek.org>
    Signed-off-by: Daniel Vetter <daniel.vetter@ffwll.ch>
Comment 7 Florian Mickler 2012-07-01 03:45:25 UTC
A patch referencing this bug report has been merged in Linux v3.5-rc1:

commit c7bd4c25650704d4d065eb4ce2a122d2a80ce804
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Tue Apr 24 16:36:50 2012 +0100

    drm/i915: Remove too early plane enable on pre-PCH hardware


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.